cdac.medinfo.ccd.datatype

## Class IVLPPDTS

- java.lang.Object
- - cdac.medinfo.ccd.datatype.ANY
  - - cdac.medinfo.ccd.datatype.QTY
    - - cdac.medinfo.ccd.datatype.TS
      - - cdac.medinfo.ccd.datatype.PPDTS
        - - cdac.medinfo.ccd.datatype.SXCMPPDTS
          - - cdac.medinfo.ccd.datatype.IVLPPDTS

- All Implemented Interfaces:
    java.io.Serializable

      public class IVLPPDTS
      extends SXCMPPDTS

  Java class for IVL_PPD_TS complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="IVL_PPD_TS">
         <complexContent>
           <extension base="{urn:hl7-org:v3}SXCM_PPD_TS">
             <choice minOccurs="0">
               <sequence>
                 <element name="low" type="{urn:hl7-org:v3}IVXB_PPD_TS"/>
                 <choice minOccurs="0">
                   <element name="width" type="{urn:hl7-org:v3}PPD_PQ" minOccurs="0"/>
                   <element name="high" type="{urn:hl7-org:v3}IVXB_PPD_TS" minOccurs="0"/>
                 </choice>
               </sequence>
               <element name="high" type="{urn:hl7-org:v3}IVXB_PPD_TS"/>
               <sequence>
                 <element name="width" type="{urn:hl7-org:v3}PPD_PQ"/>
                 <element name="high" type="{urn:hl7-org:v3}IVXB_PPD_TS" minOccurs="0"/>
               </sequence>
               <sequence>
                 <element name="center" type="{urn:hl7-org:v3}PPD_TS"/>
                 <element name="width" type="{urn:hl7-org:v3}PPD_PQ" minOccurs="0"/>
               </sequence>
             </choice>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `IVLPPDTS()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<javax.xml.bind.JAXBElement<? extends QTY>>` | `getRest()` Gets the rest of the content model.

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.SXCMPPDTS

      `getOperator, setOperator`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.PPDTS

      `getDistributionType, getStandardDeviation, setDistributionType, setStandardDeviation`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.TS

      `getValue, setValue`

    - ### Methods inherited from class cdac.medinfo.ccd.datatype.ANY

      `getContent, getNullFlavor, setContent`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IVLPPDTS

          public IVLPPDTS()

  - ### Method Detail

    - #### getRest

          public java.util.List<javax.xml.bind.JAXBElement<? extends QTY>> getRest()

      Gets the rest of the content model.

      You are getting this "catch-all" property because of the following reason: The field name "High" is used by two different parts of a schema. See:

      To get rid of this property, apply a property customization to one of both of the following declarations to change their names: Gets the value of the rest property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rest property.

      For example, to add a new item, do as follows:

              getRest().add(newItem);

      Objects of the following type(s) are allowed in the list `JAXBElement``<``PPDTS``>` `JAXBElement``<``IVXBPPDTS``>` `JAXBElement``<``IVXBPPDTS``>` `JAXBElement``<``PPDPQ``>`